> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> Import status endpoint can be used to check the status of an ongoing import, the identifier of the import is returned when you start an import.

Import status endpoint can be used to check the status of an ongoing import, the identifier of the import is returned when you start an import.

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v3/import/status
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name              | Description                                   | Example       |
    | ----------------- | --------------------------------------------- | ------------- |
    | `Api-Key`\*       | API key supplied during onboarding.           | `123456789..` |
    | `Accept-Encoding` | Allows responses to be compressed using Gzip. | `gzip`        |
  </Accordion>

  <Accordion title="Request query parameters">
    | Name   | Description                                                    | Example               |
    | ------ | -------------------------------------------------------------- | --------------------- |
    | `id`\* | Id of import, which was returned when starting an import. e.g. | `5537431447739019570` |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    -H 'Accept-Encoding: null' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v3/import/status?id=id"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                                                                                                                                                             |
    | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | `200`  | A description of the specified import's status.                                                                                                                                                         |
    | `404`  | Cluster not found.                                                                                                                                                                                      |
    | `500`  | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact <a href="mailto:support@voyado.com">support</a> and attach any information found in the response body. |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "id" : "5537431447739019570",
      "reason" : null,
      "status" : "IN_PROGRESS"
    }
    ```
  </Accordion>

  <Accordion title="Response body schema">
    #### StatusResponse

    The status of an import based on its id.

    | Name   | Type   | Description                                                                                                                                                                                                                                                                                                               |
    | ------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | id     | string | The id of the import<br /><br />Examples: `"5537431447739019570"`                                                                                                                                                                                                                                                         |
    | reason | string | The reason for the status. e.g. an error message from the import                                                                                                                                                                                                                                                          |
    | status | string | The current status of the import. See <a href="https://docs.elevate.voyado.cloud/elevate/4/integration/catalog-imports/scheduling/?h=in_progress#import-statuses">scheduling statuses</a>. Supported values: `NOT_FOUND`, `WAITING`, `IN_PROGRESS`, `SUCCESS`, `FAILURE`, `ABORTED`.<br /><br />Examples: `"IN_PROGRESS"` |
  </Accordion>
</AccordionGroup>
